/*
	Copyright (C) 1998, 1999 by Serguei 'Snaar' Narojnyi
	Copyright (C) 1998, 1999 by Jorrit Tyberghein
	Written by Serguei 'Snaar' Narojnyi

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Library General Public
	License as published by the Free Software Foundation; either
	version 2 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Library General Public License for more details.

	You should have received a copy of the GNU Library General Public
	License along with this library; if not, write to the Free
	Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

//#include <time.h>
#include <stdarg.h>

#include "sysdef.h"
#include "cscom/com.h"
#include "csnetman/null/netnman.h"
#include "csnetman/null/manndefs.h"
#include "isystem.h"

IMPLEMENT_UNKNOWN_NODELETE (csNetworkManagerNull)

BEGIN_INTERFACE_TABLE(csNetworkManagerNull)
  IMPLEMENTS_INTERFACE(INetworkManager)
END_INTERFACE_TABLE()

csNetworkManagerNull::csNetworkManagerNull(ISystem* /*piSystem*/)
{
}

csNetworkManagerNull::~csNetworkManagerNull()
{
}

STDMETHODIMP csNetworkManagerNull::Open()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::Close()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::DoFrame()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::CreateGame(unsigned short /*iNumOfPlayers*/)
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::KillGame()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::JoinGame()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::LeaveGame()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::EnumerateGames()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::GetGameData()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::SetGameData()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::CreatePlayer()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::KillPlayer()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::GetPlayerData()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::SetPlayerData()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::AddPlayerToGroup()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::RemovePlayerFromGroup()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::CreateGroup()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::KillGroup()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::GetGroupData()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::SetGroupData()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::Send()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::Receive()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::GetMessageCount()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::PeekMessage()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::GetLastError()
{
	return S_OK;
}

STDMETHODIMP csNetworkManagerNull::GetCaps()
{
	return S_OK;
}